Welcome! Log In Create A New Profile

Advanced

1.0.14 и --with-pcre-jit

Nick Knutov
April 09, 2012 03:36PM
Читаю http://nginx.org/ru/docs/install.html

Делаю

/usr/src/nginx/nginx-1.0.14# ./configure \
--conf-path=/etc/nginx/nginx.conf \
--pid-path=/var/run/nginx.pid \
--error-log-path=/var/log/nginx/error.log \
--http-log-path=/var/log/nginx/access.log \
--with-cc-opt="-D FD_SETSIZE=2048" \
--with-http_ssl_module \
--with-http_stub_status_module \
--with-http_flv_module \
--add-module=../ngx-fancyindex \
--with-pcre=../pcre-${PCRE} \
--with-pcre-jit \
--with-zlib=../zlib-${ZLIB}
./configure: error: invalid option "--with-pcre-jit"

Так и должно быть?

Правда судя по http://nginx.org/ru/docs/ngx_core_module.html#pcre_jit в
ветке 1.0 этого нет, может быть тогда стоит добавить это в документацию?

Заодним, переписываю свои сборочные скрипты от 2009го года, нашел там
--with-md5=../md5 \
--with-sha1=../sha

(сами библиотеки брались с http://www2.psy.uq.edu.au/~ftp/Crypto/libeay/
, но сейчас эта ссылка уже неактуальна). Я правильно думаю, что эти
строчки можно теперь выкинуть, или они могут быть зачем-то нужны?

--
Best Regards,
Nick Knutov

_______________________________________________
nginx-ru mailing list
nginx-ru@nginx.org
http://mailman.nginx.org/mailman/listinfo/nginx-ru
Subject Author Posted

1.0.14 и --with-pcre-jit

Nick Knutov April 09, 2012 03:36PM

Re: 1.0.14 и --with-pcre-jit

Maxim Dounin April 09, 2012 04:08PM



Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 124
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready